PHP Manual
Prev |  | Next

# memcache_debug

(PECL)

memcache_debug -- Turn debug output on/off

## Description

bool memcache_debug ( bool on_off )

memcache_debug() turns on debug output if parameter `on_off` is equal to `TRUE` and turns off if it's `FALSE`.

> Note: memcache_debug() is accessible only if PHP was built with --enable-debug option and always returns `TRUE` in this case. Otherwise, this function has no effect and always returns `FALSE`.

## Parameters

`on_off`

  Turns debug output on if equals to `TRUE`. Turns debug output off if equals to `FALSE`.

## Return Values

Returns `TRUE` if PHP was built with --enable-debug option, otherwise returns `FALSE`.

Prev | Home | Next
Memcache::connect | Up | Memcache::decrement